package com.wecise.odb;

public class Error {
    public static String cannotConvertToBigDecimal = "Cannot convert value to java.math.BigDecimal";
    public static String cannotInferColumns = "Cannot infer column types until first row is fetched";
    public static String caseNotLogical = "CASE condition must result in true or false";
    public static String closedConnection = "Connection is already closed";
    public static String closedResultSet = "ResultSet is already closed";
    public static String columnNotInGroupBy = "Column not included in GROUP BY";
    public static String columnsRead = "Columns read";
    public static String columnsExpected = "Columns expected";
    public static String columnsWithAggregateFunctions = "Query columns cannot be combined with aggregate functions";
    public static String dansDbfError = "DANS DBF Library error";
    public static String dataReaderError = "Error initializing DataReader";
    public static String dbfTypeNotSupported = "DBF Data Type not supported";
    public static String dirNotFound = "Directory not found";
    public static String duplicateColumns = "Table contains duplicate column names";
    public static String eofInQuotes = "Reached end of file inside quotes starting at line";
    public static String expectedSeparator = "Expected separator at line and position";
    public static String fileNotFound = "File not found";
    public static String fileNotReadable = "File not readable";
    public static String fileReadError = "Error reading file";
    public static String functionArgCount = "Wrong number of arguments to SQL function";
    public static String functionArgClass = "Java class of SQL function argument not supported";
    public static String havingNotLogical = "HAVING clause must result in true or false";
    public static String initFailed = "Failed to initialize CsvJdbc driver";
    public static String interfaceNotImplemented = "Class does not implement interface";
    public static String invalid = "Invalid";
    public static String invalidColumnIndex = "Invalid column index";
    public static String invalidColumnName = "Invalid column name";
    public static String invalidColumnType = "Invalid column type";
    public static String invalidQueryExpression = "Invalid expression in query";
    public static String invalidFunction = "Invalid SQL function name";
    public static String invalidGroupBy = "Invalid GROUP BY column";
    public static String invalidHaving = "Invalid HAVING column";
    public static String invalidOrderBy = "Invalid ORDER BY column";
    public static String invalidProperty = "Invalid Property";
    public static String invalidResultSetType = "ResultSet type invalid";
    public static String joinNotSupported = "JOIN not supported";
    public static String methodNotSupported = "Method not supported";
    public static String noAggregateFunctions = "Aggregate functions not allowed in WHERE clause";
    public static String noCodecClass = "Codec class not found";
    public static String noColumnsSelected = "Malformed SQL. No columns selected";
    public static String noCurrentRow = "No current row, perhaps you need to call next";
    public static String noCryptoFilter = "Could not initialize CryptoFilter";
    public static String noDansDbf = "DANS DBF Library classes not found";
    public static String noFunction = "SQL function not found";
    public static String noFunctionClass = "Java class for SQL function not found";
    public static String noFunctionMethod = "Static Java method for SQL function not found";
    public static String noGetMethod = "No previous getter method called";
    public static String noLocale = "Locale not available";
    public static String noPath = "Path not provided";
    public static String orderByNotInGroupBy = "ORDER BY column not included in GROUP BY";
    public static String parameterIndex = "Parameter index out of range";
    public static String statementClosed = "Statement is already closed";
    public static String streamClosed = "Stream is already closed";
    public static String subqueryNotSupported = "Subquery not supported";
    public static String subqueryOneColumn = "Subquery must return one column";
    public static String subqueryOneRow = "Subquery must return one row";
    public static String syntaxError = "Syntax error";
    public static String tableNotFound = "Table not found";
    public static String unknownCommandLine = "Unknown command line option";
    public static String unsupportedDirection = "Direction not supported";
    public static String unsupportedHoldability = "Holdability not supported";
    public static String whereNotLogical = "WHERE clause must result in true or false";
    public static String wrongColumnCount = "Wrong number of columns in line";
    public static String wrongResultSetType = "Method not allowed for result set type TYPE_FORWARD_ONLY";
    public static String zipOpenError = "Error opening ZIP file";
    public static String unableConnectServer = "Unable to connect to server";
}
